heat stack-list does not work after stack-update

Bug #1477812 reported by Rakesh H S on 2015-07-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Heat
Fix Released
High
Rakesh H S
Juno
Fix Released
Undecided
Unassigned
Kilo
Fix Released
High
Rakesh H S

Bug Description

Tried creating template https://github.com/openstack/heat-templates/blob/master/hot/hello_world.yaml and since nova could not succeed, ResourceFailure was raised and stack went to CREATE FAILED state.

Now If we modify one of the parameters consumed by template, lets say 'key_name' to 'keyname', and perform an update, and ResourceFailure again occurs stack will be moved to UPDATE FAILED state.

After the above operations heat stack-list breaks with error:
The Parameter (keyname) was not provided

Rakesh H S (rh-s) on 2015-07-24
Changed in heat:
assignee: nobody → Rakesh H S (rh-s)

Fix proposed to branch: master
Review: https://review.openstack.org/206435

Changed in heat:
status: New → In Progress
Changed in heat:
assignee: Rakesh H S (rh-s) → Anant Patil (ananta)
Changed in heat:
assignee: Anant Patil (ananta) → Rakesh H S (rh-s)

Reviewed: https://review.openstack.org/206435
Committed: https://git.openstack.org/cgit/openstack/heat/commit/?id=2aebdf7f3f38a8505374fa15e6ce9e7586accf88
Submitter: Jenkins
Branch: master

commit 2aebdf7f3f38a8505374fa15e6ce9e7586accf88
Author: Rakesh H S <email address hidden>
Date: Tue Jul 28 14:11:41 2015 +0530

    Fix stack-list after failed update

    When a update is being performed, the existing template is updated
    incrementally as resources change. Now if update fails, template will
    have mix of resources from existing and new template. Hence we need to
    ensure we have the user params of both.

    Change-Id: I9e6831c58b167809e3faed519d2fb4f7c61244fc
    Closes-Bug: #1477812

Changed in heat:
status: In Progress → Fix Committed
Changed in heat:
milestone: none → liberty-3
status: Fix Committed → Fix Released
Steven Hardy (shardy) on 2015-09-04
Changed in heat:
importance: Undecided → High

Reviewed: https://review.openstack.org/215618
Committed: https://git.openstack.org/cgit/openstack/heat/commit/?id=cb3734bf906e5c5677e499820c5d513b33aca64f
Submitter: Jenkins
Branch: stable/kilo

commit cb3734bf906e5c5677e499820c5d513b33aca64f
Author: Rakesh H S <email address hidden>
Date: Tue Jul 28 14:11:41 2015 +0530

    Fix stack-list after failed update

    When a update is being performed, the existing template is updated
    incrementally as resources change. Now if update fails, template will
    have mix of resources from existing and new template. Hence we need to
    ensure we have the user params of both.

    Closes-Bug: #1477812
    Change-Id: I9e6831c58b167809e3faed519d2fb4f7c61244fc
    (cherry picked from commit 2aebdf7f3f38a8505374fa15e6ce9e7586accf88)

Reviewed: https://review.openstack.org/230155
Committed: https://git.openstack.org/cgit/openstack/heat/commit/?id=815065d20a40020f9b673b286258ef516f55aa14
Submitter: Jenkins
Branch: stable/juno

commit 815065d20a40020f9b673b286258ef516f55aa14
Author: Rakesh H S <email address hidden>
Date: Tue Jul 28 14:11:41 2015 +0530

    Fix stack-list after failed update

    When a update is being performed, the existing template is updated
    incrementally as resources change. Now if update fails, template will
    have mix of resources from existing and new template. Hence we need to
    ensure we have the user params of both.

    Closes-Bug: #1477812
    Change-Id: I9e6831c58b167809e3faed519d2fb4f7c61244fc
    (cherry picked from commit cb3734bf906e5c5677e499820c5d513b33aca64f)

tags: added: in-stable-juno
Thierry Carrez (ttx) on 2015-10-15
Changed in heat:
milestone: liberty-3 → 5.0.0
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers